package com.zjrs.zwnw.fxfk.blo.impl;

import org.mohrss.leaf.core.framework.domain.blo.impl.BLOImpl;
import com.zjrs.zwnw.fxfk.blo.SsywjkBLO;
import com.zjrs.zwnw.fxfk.dto.*;
import com.zjrs.zwnw.fxfk.entity.SsywjkMapper;
import com.zjrs.zwnw.sxgl.dto.*;
import com.zjrs.zwnw.sxgl.entity.*;
import com.zjrs.zwnw.sxgl.po.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.List;

@Service
public class SsywjkBLOimpl extends BLOImpl implements SsywjkBLO {
    private static final Logger LOG = LoggerFactory.getLogger(SsywjkBLOimpl.class);
    @Resource
    SsywjkMapper ssywjkMapper;
    //在办业务量TOP10
    @Override
    public List<Zbtop10ListDTO> getZbtop10List(Zbtop10DTO dto){
        return this.ssywjkMapper.getZbtop10List(dto);
    }
    //分布趋势受理量-近一月
    @Override
    public List<FbqssllListDTO> getFbqsSllBy1Month(){
        return this.ssywjkMapper.getFbqsSllBy1Month();
    }
    //分布趋势受理量-近三月
    @Override
    public List<FbqssllListDTO> getFbqsSllBy3Month(){
        return this.ssywjkMapper.getFbqsSllBy3Month();
    }
    //分布趋势受理量-近一周
    @Override
    public List<FbqssllListDTO> getFbqsSllBy1Week(){
        return this.ssywjkMapper.getFbqsSllBy1Week();
    }
    //各地区分布趋势受理量-近一月
    @Override
    public List<FbqssllDqListDTO> getFbqsSllDqBy1Month(){
        return this.ssywjkMapper.getFbqsSllDqBy1Month();
    }
    //各地区分布趋势受理量-近三月
    @Override
    public List<FbqssllDqListDTO> getFbqsSllDqBy3Month(){
        return this.ssywjkMapper.getFbqsSllDqBy3Month();
    }
    //各地区分布趋势受理量-近一周
    @Override
    public List<FbqssllDqListDTO> getFbqsSllDqBy1Week(){
        return this.ssywjkMapper.getFbqsSllDqBy1Week();
    }
    //全市业务监控
    public List<QsywjkDTO> getQsywjk(){
        return this.ssywjkMapper.getQsywjk();
    }
    //全市业务监控各地区
    public List<QsywjkDqDTO> getQsywjkDq(){
        return this.ssywjkMapper.getQsywjkDq();
    }

}
